pdb2sse {bio3d} | R Documentation

## Obtain An SSE Sequence Vector From A PDB Object

### Description

Results are similar to that returned by stride(pdb)$sse and dssp(pdb)$sse.

### Usage

    pdb2sse(pdb, verbose = TRUE)

### Arguments

`pdb` | an object of class `pdb` as obtained from function `read.pdb`.
`verbose` | logical, if TRUE warnings and other messages will be printed.

### Details

call for its effects.

### Value

a character vector indicating SSE elements for each amino acide residue. The 'names' attribute of the vector contains 'resno', 'chain', 'insert', and 'SSE segment number', seperated by the character '_'.

### Author(s)

Barry Grant & Xin-Qiu Yao

### See Also

`dssp`, `stride`, `bounds.sse`

### Examples

       #PDB server connection required - testing excluded

       pdb <- read.pdb("1a7l")
       sse <- pdb2sse(pdb)
       sse

[Package bio3d version 2.3-4 Index]